Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.server
Class ServerGwtBridge.ClassInstantiatorBase

    java.lang.Object
      com.google.gwt.core.server.ServerGwtBridge.ClassInstantiatorBase

All Implemented Interfaces:
  ServerGwtBridge.ClassInstantiator

Direct Known Subclasses:
  LocalizableInstantiator, ObjectNew

Enclosing class:
  ServerGwtBridge

    public abstract static class ServerGwtBridge.ClassInstantiatorBase

extends java.lang.Object
implements ServerGwtBridge.ClassInstantiator

Helper class that provides some wrappers for looking up and instantiating a class.

Constructor Summary
`ServerGwtBridge.ClassInstantiatorBase()`

Method Summary
`protected
`<T> T`
` | `tryCreate(java.lang.Class<T> clazz)`
`protected
`<T> T`
` | `tryCreate(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.core.server.ServerGwtBridge.ClassInstantiator
`create`

Constructor Detail

### ServerGwtBridge.ClassInstantiatorBase

    public ServerGwtBridge.ClassInstantiatorBase()

Method Detail

### tryCreate

    protected <T> T tryCreate(java.lang.Class<T> clazz)

  Type Parameters:
    `T` -
  Parameters:
    `clazz` -
  Returns:
    class instance or null

### tryCreate

    protected <T> T tryCreate(java.lang.String className)

  Type Parameters:
    `T` -
  Parameters:
    `className` -
  Returns:
    class instance or null

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD